## hubzero-python 0.2.0-1

=== debian/changelog ===
hubzero-python (0.2.0-1) unstable; urgency=low

  * Initial release. 

 -- David Benham <dbenham@dev21.hubzero.org>  Mon, 13 Aug 2012 16:03:11 -0400

## hubzero-python 0.9.0

=== Makefile ===
# Copyright 2006-2009 by Purdue Research Foundation, West Lafayette, IN 47906.
# All rights reserved.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License, version 2.1 as published by the Free Software Foundation.

INSTDIR=$(DESTDIR)/usr/lib
OWNER=root
GROUP=root

all:
	@true

install:
	@true

clean:
	rm -f build-stamp
	rm -f configure-stamp
	python setup.py clean

## hubzero-python 1.0.0

=== Makefile ===
# @package      hubzero-python
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2011 Purdue University. All rights reserved.
# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
#
# Copyright (c) 2010-2011 Purdue University
# All rights reserved.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU Lesser General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of Purdue University.

all:
	@true

install:
	@true

clean:
	rm -f build-stamp
	rm -f configure-stamp
	python setup.py clean

## hubzero-python 1.1.0-1

=== Makefile ===
install:
	echo "desdir=" $(DESTDIR)
	python setup.py install --root $(DESTDIR)
clean:
	find . -name '*.pyc' -delete

=== debian/changelog ===
hubzero-python (1.1.0-1) unstable; urgency=low

  * Version number redo to match upcoming release for hubbub

 -- David Benham <dbenham@dev21.hubzero.org>  Wed, 15 Aug 2012 12:54:02 -0400

## hubzero-python 1.1.01-1

=== debian/changelog ===
hubzero-python (1.1.01-1) unstable; urgency=low

  * added top level hubzero package to setup.py

 -- David Benham <dbenham@dev21.hubzero.org>  Wed, 15 Aug 2012 13:57:56 -0400

## hubzero-python 1.1.02-1

=== debian/changelog ===
hubzero-python (1.1.02-1) unstable; urgency=low

  * rebuild due to deployment issue

 -- David Benham <dbenham@dev21.hubzero.org>  Wed, 15 Aug 2012 14:08:03 -0400

## hubzero-python 1.1.03-1

=== Makefile ===
--- 
+++ 
@@ -3,3 +3,6 @@
 	python setup.py install --root $(DESTDIR)
 clean:
 	find . -name '*.pyc' -delete
+	rm -f build-stamp
+	rm -f configure-stamp
+	python setup.py clean

=== debian/changelog ===
hubzero-python (1.1.03-1) unstable; urgency=low

  * initial dev updates

 -- root <root@dev21.hubzero.org>  Mon, 27 Aug 2012 13:53:36 -0400

=== debian/control ===
Source: hubzero-python
Section: misc
Priority: optional
Maintainer: David Benham <dbenham@purude.edu>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.7.3
XS-Python-Version: >=2.6
Homepage: http://hubzero.org

Package: hubzero-python
Architecture: all
Description: Hubzero python libraries
 Hubzero python libraries

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

configure: configure-stamp

configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir

	# Add here commands to compile the package.
	# $(MAKE) DESTDIR=$(CURDIR)/debian/hubzero-python install

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/hubzero-python.
	$(MAKE) DESTDIR=$(CURDIR)/debian/hubzero-python COMPILE=--no-compile install

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

## hubzero-python 1.1.3-1

=== debian/changelog ===
hubzero-python (1.1.3-1) unstable; urgency=low

  * update HUBzero Foundation, LLC copyrights and Debian 6 packaging

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 31 Aug 2012 13:34:56 -0400

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,30 @@
 #!/usr/bin/make -f
+# @package      hubzero-python
+# @file         rules
+# @author       David Benham <dbenham@purdue.edu>
+# @copyright    Copyright (c) 2012 HUBzero Foundation, LLC.
+# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
+#
+# Copyright (c) 2012 HUBzero Foundation, LLC.
+#
+# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
+#
+# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
+# software: you can redistribute it and/or modify it under the terms of
+# the GNU Lesser General Public License as published by the Free Software
+# Foundation, either version 3 of the License, or (at your option) any
+# later version.
+#
+# HUBzero is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU Lesser General Public License for more details.
+#
+# You should have received a copy of the GNU Lesser General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+# HUBzero is a registered trademark of HUBzero Foundation, LLC.
+#
 # -*- makefile -*-
 # Sample debian/rules that uses debhelper.
 # This file was originally written by Joey Hess and Craig Small.
@@ -39,7 +65,7 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 
 	# Add here commands to install the package into debian/hubzero-python.

## hubzero-python 1.1.3-1.1

=== debian/changelog ===
hubzero-python (1.1.3-1.1) unstable; urgency=low

  * update HUBzero Foundation, LLC copyrights and Debian 6 packaging

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 31 Aug 2012 13:34:56 -0400

## hubzero-python 1.1.4-1

=== debian/changelog ===
hubzero-python (1.1.4-1) unstable; urgency=low

  * update HUBzero Foundation, LLC copyrights and Debian 6 packaging

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 31 Aug 2012 13:42:57 -0400

## hubzero-python 1.1.5-1

=== Makefile ===
# @package      hubzero-python
# @file         Makefile
# @author       David Benham <dbenham@purdue.edu>
# @copyright    Copyright (c) 2012 HUBzero Foundation, LLC.
# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
#
# Copyright (c) 2012 HUBzero Foundation, LLC.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU Lesser General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

default all build:
	true

install:
	echo "desdir=" $(DESTDIR)
	python setup.py install --root $(DESTDIR)
	
clean:
	find . -name '*.pyc' -delete
	rm -f build-stamp
	rm -f configure-stamp 
	python setup.py clean
	rm -fr build

=== debian/changelog ===
hubzero-python (1.1.5-1) unstable; urgency=low

  * import traceback

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 05 Sep 2012 11:28:31 -0400

=== debian/rules ===
--- 
+++ 
@@ -24,51 +24,39 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #
 # HUBzero is a registered trademark of HUBzero Foundation, LLC.
-#
-# -*- makefile -*-
-# Sample debian/rules that uses debhelper.
-# This file was originally written by Joey Hess and Craig Small.
-# As a special exception, when this file is copied by dh-make into a
-# dh-make output file, you may use that output file without restriction.
-# This special exception was added by Craig Small in version 0.37 of dh-make.
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
 configure: configure-stamp
 
+# Add here commands to configure the package.
 configure-stamp:
 	dh_testdir
-	# Add here commands to configure the package.
-
 	touch configure-stamp
 
 build: build-stamp
 
+# Add here commands to compile the package.
 build-stamp: configure-stamp
 	dh_testdir
-
-	# Add here commands to compile the package.
-	# $(MAKE) DESTDIR=$(CURDIR)/debian/hubzero-python install
-
+	$(MAKE) DESTDIR=$(CURDIR)/debian/hubzero-python build
 	touch $@
 
+# Add here commands to clean up after the build process.
 clean:
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp configure-stamp
+	$(MAKE) clean
+	dh_clean
 
-	# Add here commands to clean up after the build process.
-	$(MAKE) clean
-
-	dh_clean
+# Add here commands to install the package into debian/hubzero-python.
 install: build
 	dh_testdir
 	dh_testroot
 	dh_prep
 	dh_installdirs
-
-	# Add here commands to install the package into debian/hubzero-python.
 	$(MAKE) DESTDIR=$(CURDIR)/debian/hubzero-python COMPILE=--no-compile install
 
 # Build architecture-independent files here.
@@ -108,4 +96,3 @@
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb
-

## hubzero-python 1.1.6-1

=== debian/changelog ===
hubzero-python (1.1.6-1) unstable; urgency=low

  * new ldap configuration handling for hzcmms

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 10 Sep 2012 19:41:24 -0400

## hubzero-python 1.1.7-1

=== debian/changelog ===
hubzero-python (1.1.7-1) unstable; urgency=low

  * added support to add jos_users_password entries with new user additions 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 11 Sep 2012 20:15:06 -0400

## hubzero-python 1.1.8-1

=== debian/changelog ===
hubzero-python (1.1.8-1) unstable; urgency=low

  * added hubname to the adduser api funciton 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 12 Sep 2012 17:02:47 -0400

## hubzero-python 1.1.9-1

=== debian/changelog ===
hubzero-python (1.1.9-1) unstable; urgency=low

  * enhanced user creation to add home directories 
  * some user related ldap changes, 
  * added interface for modifying params of jos_componet table 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 14 Sep 2012 09:58:01 -0400

## hubzero-python 1.1.10-1

=== debian/changelog ===
hubzero-python (1.1.10-1) unstable; urgency=low

  * added nocreatehome option to the adduser function 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 14 Sep 2012 14:45:23 -0400

## hubzero-python 1.1.11-1

=== debian/changelog ===
hubzero-python (1.1.11-1) unstable; urgency=low

  * fix to move chown logic for directory commit inside section that 
    conditionally creates the home directory
  * added webconfig.getDefaultSite function, some other minor changes
 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 14 Sep 2012 16:50:37 -0400

## hubzero-python 1.1.12-1

=== debian/changelog ===
hubzero-python (1.1.12-1) unstable; urgency=low

  * accidentally removed the addhubuser function header 
    so it merged with the addhubgroup function, fixed it 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 14 Sep 2012 17:17:52 -0400

=== debian/control ===
Source: hubzero-python
Section: misc
Priority: optional
Maintainer: David Benham <dbenham@purde.edu>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.7.3
XS-Python-Version: >=2.6
Homepage: http://hubzero.org

Package: hubzero-python
Depends: python, python-argparse
Architecture: all
Description: Hubzero python libraries
 Hubzero python libraries

## hubzero-python 1.1.13-1

=== debian/changelog ===
hubzero-python (1.1.13-1) unstable; urgency=low

  * added some gecos logic, user already exists check, misc changes 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 15 Sep 2012 12:44:57 -0400

## hubzero-python 1.1.14-1

=== debian/changelog ===
hubzero-python (1.1.14-1) unstable; urgency=low

  * added and broke out group functionality to new file, minor changes to add and delete user 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 15 Sep 2012 17:21:50 -0400

## hubzero-python 1.1.15-1

=== debian/changelog ===
hubzero-python (1.1.15-1) unstable; urgency=low

  * added setPluginEnbaled function 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sun, 16 Sep 2012 13:44:18 -0400

## hubzero-python 1.1.16-1

=== debian/changelog ===
hubzero-python (1.1.16-1) unstable; urgency=low

  * add getHubSiteConfig 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 17 Sep 2012 18:34:37 -0400

## hubzero-python 1.1.17-1

=== debian/changelog ===
hubzero-python (1.1.17-1) unstable; urgency=low

  * fixed error with call to _insert_jos_xgroups not prefaced with hubzero.utilities.group. 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 18 Sep 2012 13:32:13 -0400

## hubzero-python 1.1.18-1

=== debian/changelog ===
hubzero-python (1.1.18-1) unstable; urgency=low

  * fixed error in create of group name and description 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 18 Sep 2012 14:14:39 -0400

## hubzero-python 1.1.19-1

=== Makefile ===
--- 
+++ 
@@ -26,11 +26,13 @@
 #
 
 default all build:
-	true
+	@true
 
 install:
-	echo "desdir=" $(DESTDIR)
 	python setup.py install --root $(DESTDIR)
+
+configure:
+	@true
 	
 clean:
 	find . -name '*.pyc' -delete

=== debian/changelog ===
hubzero-python (1.1.19-1) unstable; urgency=low

  * couple group add bug fixes, added db param 
  * corrected jos_xgroups_members sql error 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 18 Sep 2012 16:06:26 -0400

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,5 @@
 #!/usr/bin/make -f
+#
 # @package      hubzero-python
 # @file         rules
 # @author       David Benham <dbenham@purdue.edu>
@@ -24,6 +25,7 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #
 # HUBzero is a registered trademark of HUBzero Foundation, LLC.
+#
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1

## hubzero-python 1.1.20-1

=== debian/changelog ===
hubzero-python (1.1.20-1) unstable; urgency=low

  * added support to disable passwords
  * fixed some group creation problems
 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 18 Sep 2012 18:50:42 -0400

## hubzero-python 1.1.21-1

=== debian/changelog ===
hubzero-python (1.1.21-1) unstable; urgency=low

  * reworked user homedir owership to take numeric ids so ownership can be 
    changed before actual user is created
  * removed firstname, middlename, and lastname as parms, replaced by 
    passing in gecos and parsing that instead.

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 19 Sep 2012 13:37:57 -0400

## hubzero-python 1.1.22-1

=== debian/changelog ===
hubzero-python (1.1.22-1) unstable; urgency=low

  * set permissions on newly created user home directory to 700 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 19 Sep 2012 15:04:39 -0400

## hubzero-python 1.1.23-1

=== debian/changelog ===
hubzero-python (1.1.23-1) unstable; urgency=low

  * fixed bug when parsing the params field of the _buildDictionary function, 
    it split based on whitespace, instead of newline, a field with a newline 
    in it triggered this fix

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 19 Sep 2012 17:48:13 -0400

## hubzero-python 1.1.24-1

=== debian/changelog ===
hubzero-python (1.1.24-1) unstable; urgency=low

  * added some default group info for users to ldap and xprofiles

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 19 Sep 2012 20:38:41 -0400

## hubzero-python 1.1.25-1

=== debian/changelog ===
hubzero-python (1.1.25-1) unstable; urgency=low

  * update password additions
  * modified the group.py add function, it decayed and was broken

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 21 Sep 2012 15:16:33 -0400

## hubzero-python 1.1.26-1

=== debian/changelog ===
hubzero-python (1.1.26-1) unstable; urgency=low

  * group exists function added 

 -- Nicholas J. Kisseberth <nkissebe@builder.hubzero.org>  Sat, 22 Sep 2012 18:26:49 -0400

## hubzero-python 1.1.27-1.1

=== debian/changelog ===
hubzero-python (1.1.27-1.1) unstable; urgency=low

  * version bump due to repository error 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sun, 23 Sep 2012 11:13:13 -0400

## hubzero-python 1.1.28-1

=== debian/changelog ===
hubzero-python (1.1.28-1) unstable; urgency=low

  * version bump due to repository error 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sun, 23 Sep 2012 11:13:13 -0400

## hubzero-python 1.1.30-1

=== debian/changelog ===
hubzero-python (1.1.30-1) unstable; urgency=low

  *  reworked db module, mods to other modules to support. 
  *  code to support hzusermod cli tool
  *  changed mySQL classname to mySQLConnection
  *  removed useradd.py

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 12 Oct 2012 20:59:58 -0400

hubzero-python (1.1.29-1) unstable; urgency=low

  * group and user add functionality
  * changes and additions to support mass adding groups and users to ldap
  * move to debian python package layout

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 04 Oct 2012 16:22:13 -0400

## hubzero-python 1.1.31-1

=== debian/changelog ===
hubzero-python (1.1.31-1) unstable; urgency=low

  *  cleaned up 'contextmanger' misspelling 
  *  added support to useradd functions in user to support skipldap and 
     skipcms on new user creations
  *  db.py refactored
 
 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 22 Oct 2012 13:12:34 -0400

=== debian/control ===
Source: hubzero-python
Section: misc
Priority: optional
Maintainer: David Benham <dbenham@purde.edu>
Build-Depends: debhelper (>= 7), python-support (>=0.8)
Standards-Version: 3.8.3
X-Python-Version: >=2.6, <<2.7
Homepage: http://hubzero.org

Package: hubzero-python
Depends: ${misc:Depends}, ${python:Depends}, ${python:Versions}
Architecture: all
Description: Hubzero python libraries
 Hubzero python libraries

## hubzero-python 1.1.32-1

=== debian/changelog ===
hubzero-python (1.1.32-1) unstable; urgency=low

  * fix package dependencies 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 22 Oct 2012 13:35:18 -0400

=== debian/rules ===
--- 
+++ 
@@ -65,9 +65,6 @@
 binary-indep: build install
 # We have nothing to do by default.
 
-binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install configure
-
 # Build architecture-dependent files here.
 binary-arch: build install
 	dh_testdir
@@ -82,7 +79,7 @@
 #	dh_installemacsen
 #	dh_installpam
 #	dh_installmime
-#	dh_python
+	dh_python2
 #	dh_installinit
 #	dh_installcron
 #	dh_installinfo
@@ -98,3 +95,6 @@
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb
+	
+binary: binary-indep binary-arch
+.PHONY: build clean binary-indep binary-arch binary install configure

## hubzero-python 1.1.33-1

=== debian/changelog ===
hubzero-python (1.1.33-1) unstable; urgency=low

  * remove premature references to hzldap module

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 22 Oct 2012 14:05:17 -0400

## hubzero-python 1.1.34-1

=== debian/changelog ===
hubzero-python (1.1.34-1) unstable; urgency=low

  * fixes to gidNumber issues with newly created users 

 -- root <root@dev19.hubzero.org>  Tue, 14 May 2013 15:58:56 -0400

## hubzero-python 1.1.35-1

=== debian/changelog ===
hubzero-python (1.1.35-1) unstable; urgency=low

  * take hubname as a parameter in many functions now

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 30 May 2013 17:23:28 -0400

## hubzero-python 1.1.36-1

=== debian/changelog ===
hubzero-python (1.1.36-1) unstable; urgency=low

  * fix typy in 1.1.35

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 30 May 2013 17:28:34 -0400

## hubzero-python 1.1.37-1

=== Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 	@true
 
 install:
-	python setup.py install --root $(DESTDIR)
+	python setup.py install $(COMPILE) --root $(DESTDIR) --install-layout=deb
 
 configure:
 	@true

=== debian/changelog ===
hubzero-python (1.1.37-1) unstable; urgency=low

  * handle missing config option more cleanly
  * add missing hubName parameter to method

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 31 May 2013 10:38:43 -0400

=== debian/control ===
Source: hubzero-python
Section: misc
Priority: optional
Maintainer: David Benham <dbenham@purde.edu>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.8.3
X-Python-Version: >=2.6, <<2.7
Homepage: http://hubzero.org

Package: hubzero-python
Depends: ${misc:Depends}, ${python:Depends}
Architecture: all
Description: Hubzero python libraries
 Hubzero python libraries

## hubzero-python 1.1.37-2

=== debian/changelog ===
hubzero-python (1.1.37-2) unstable; urgency=low

  * fix typo in maintainer email
  * tell dh_python2 about version dependency, remove manual line from control 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 05 Jun 2013 16:45:16 -0400

=== debian/control ===
Source: hubzero-python
Section: misc
Priority: optional
Maintainer: David Benham <dbenham@purdue.edu>
Build-Depends: debhelper (>= 7), python2.6, python2.6-dev
Standards-Version: 3.8.3
Homepage: http://hubzero.org

Package: hubzero-python
Depends: ${misc:Depends}, ${python:Depends}
Architecture: all
Description: Hubzero python libraries
 Hubzero python libraries

=== debian/rules ===
--- 
+++ 
@@ -79,7 +79,7 @@
 #	dh_installemacsen
 #	dh_installpam
 #	dh_installmime
-	dh_python2
+	dh_python2 -V 2.6
 #	dh_installinit
 #	dh_installcron
 #	dh_installinfo

## hubzero-python 1.1.38-1

=== debian/changelog ===
hubzero-python (1.1.38-1) unstable; urgency=low

  * try again to get relax dependencies (until we start building with wheezy)

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 06 Jun 2013 09:32:02 -0400

## hubzero-python 1.1.39-1

=== debian/changelog ===
hubzero-python (1.1.39-1) unstable; urgency=low

  * fix parsing of first,middle,last name from full name string
  * fix setting disabled password in user db entries, should be {MD5}*

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 13 Jun 2013 17:00:00 -0400

## hubzero-python 1.1.40

=== debian/changelog ===
hubzero-python (1.1.40) unstable; urgency=low

  * fix more instances of incorrectly setting disabled password
  * clean up output a little

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 14 Jun 2013 09:23:47 -0400

=== debian/control ===
Source: hubzero-python
Section: misc
Priority: optional
Maintainer: David Benham <dbenham@purdue.edu>
Build-Depends: debhelper (>= 7), python2.6
Standards-Version: 3.8.3
Homepage: http://hubzero.orga
X-Python-Version: 2.6

Package: hubzero-python
Depends: ${misc:Depends}, python2.6
Architecture: all
Description: Hubzero python libraries
 Hubzero python libraries

## hubzero-python 1.1.40-1

=== debian/changelog ===
hubzero-python (1.1.40-1) unstable; urgency=low

  * fix more instances of incorrectly setting disabled password
  * clean up output a little

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 14 Jun 2013 09:23:47 -0400

## hubzero-python 1.1.41-1

=== debian/changelog ===
hubzero-python (1.1.41-1) unstable; urgency=low

  * fix the fix for setting disabled passwords 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 14 Jun 2013 09:53:06 -0400

## hubzero-python 1.1.42-1

=== debian/changelog ===
hubzero-python (1.1.42-1) unstable; urgency=low

  * fix getUserGroups() and add userInGroup()

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 14 Jun 2013 11:50:44 -0400

## hubzero-python 1.1.44-1

=== debian/changelog ===
hubzero-python (1.1.44-1) unstable; urgency=low

  * update copyrights for 2013

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 18 Jun 2013 10:01:15 -0400

hubzero-python (1.1.43-1) unstable; urgency=low

  * relax python dependency further for wheezy 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 14 Jun 2013 16:45:51 -0400

## hubzero-python 1.1.45-1

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-python
 # @file         Makefile
 # @author       David Benham <dbenham@purdue.edu>
-# @copyright    Copyright (c) 2012 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2012-2013 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2012 HUBzero Foundation, LLC.
+# Copyright (c) 2012-2013 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #

=== debian/changelog ===
hubzero-python (1.1.45-1) unstable; urgency=low

  * replaced deprecated ldap.open with ldap.initialize
  * handle NoSectionError in hubzeroCMSConfig 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 21 Jun 2013 09:43:11 -0400

=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,10 @@
 # @package      hubzero-python
 # @file         rules
 # @author       David Benham <dbenham@purdue.edu>
-# @copyright    Copyright (c) 2012 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2012-2013 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2012 HUBzero Foundation, LLC.
+# Copyright (c) 2012-2013 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #
@@ -79,7 +79,7 @@
 #	dh_installemacsen
 #	dh_installpam
 #	dh_installmime
-	dh_python2 -V 2.6
+	dh_python2
 #	dh_installinit
 #	dh_installcron
 #	dh_installinfo

## hubzero-python 1.1.46-1

=== debian/changelog ===
hubzero-python (1.1.46-1) unstable; urgency=low

  * hubzeroCMSConfig make get return empty string rather than None

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 21 Jun 2013 18:12:19 -0400

## hubzero-python 1.1.47-1

=== debian/changelog ===
hubzero-python (1.1.47-1) unstable; urgency=low

  * tweaks and various bug fixes to support ldap user and group imports from the CLI package

 -- David Benham <dbenham@purdue.edu>  Mon, 24 Jun 2013 12:34:16 -0400

## hubzero-python 1.1.48-1

=== debian/changelog ===
hubzero-python (1.1.48-1) unstable; urgency=low

  * minor add user logic fixes that broke after some refactoring for the ldap user/group additions

 -- David Benham <dbenham@purdue.edu>  Tue, 25 Jun 2013 15:54:39 -0400

## hubzero-python 1.1.49-1

=== debian/changelog ===
hubzero-python (1.1.49-1) unstable; urgency=low

  * remove db close on exception generated by cursor

 -- David Benham <dbenham@purdue.edu>  Wed, 26 Jun 2013 15:38:15 -0400

## hubzero-python 1.1.50-1

=== debian/changelog ===
hubzero-python (1.1.50-1) unstable; urgency=low

  * remove some unneeded exception handling code

 -- David Benham <dbenham@purdue.edu>  Wed, 26 Jun 2013 15:49:57 -0400

## hubzero-python 1.1.51-1

=== debian/changelog ===
hubzero-python (1.1.51-1) unstable; urgency=low

  * remove some more unneeded exception handling code

 -- David Benham <dbenham@purdue.edu>  Wed, 26 Jun 2013 16:27:27 -0400

## hubzero-python 1.1.52-1

=== debian/changelog ===
hubzero-python (1.1.52-1) unstable; urgency=low

  * version bump for packaing issue 1.1.52

 -- David Benham <dbenham@purdue.edu>  Wed, 26 Jun 2013 16:34:26 -0400

## hubzero-python 1.1.53-1

=== debian/changelog ===
hubzero-python (1.1.53-1) unstable; urgency=low

  * added group type to api for jos_xgroups table inserts
  * added default parameter to addhubuser
  * user add rework

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 28 Jun 2013 09:09:49 -0400

## hubzero-python 1.1.54-1

=== debian/changelog ===
hubzero-python (1.1.54-1) unstable; urgency=low

  * version bump due to conflict with Dave

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 28 Jun 2013 09:18:01 -0400

## hubzero-python 1.1.55-1

=== debian/changelog ===
hubzero-python (1.1.55-1) unstable; urgency=low

  * fix missing group type parameters

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 28 Jun 2013 10:22:58 -0400

## hubzero-python 1.1.56-1

=== debian/changelog ===
hubzero-python (1.1.56-1) unstable; urgency=low

  * addhubuser: default loginshell set to /bin/bash

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 28 Jun 2013 14:12:58 -0400

## hubzero-python 1.1.57-1

=== debian/changelog ===
hubzero-python (1.1.57-1) unstable; urgency=low

  * group and user fixes

 -- David Benham <dbneham@purdue.edu>  Mon, 01 Jul 2013 16:49:42 -0400

## hubzero-python 1.1.58-1

=== debian/changelog ===
hubzero-python (1.1.58-1) unstable; urgency=low

  * messed up package upload, need new version number

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 10 Jul 2013 13:55:57 -0400

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Build-Depends: debhelper (>= 7), python2.6
 Standards-Version: 3.8.3
 Homepage: http://hubzero.orga
-X-Python-Version: 2.6
 
 Package: hubzero-python
 Depends: ${misc:Depends}, python2.6

## hubzero-python 1.1.59-1

=== debian/changelog ===
hubzero-python (1.1.59-1) unstable; urgency=low

  * configured db.py to return mysqldb.warnings as full exceptions, instead 
    of printing the warning to stderr
  * added the user and group sync functions to the api, added ldapconfig file

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 10 Jul 2013 17:58:23 -0400

## hubzero-python 1.1.60-1

=== debian/changelog ===
hubzero-python (1.1.60-1) unstable; urgency=low

  * add syncuser() and syncgroup()

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 10 Jul 2013 18:46:00 -0400

## hubzero-python 1.1.61-1

=== debian/changelog ===
hubzero-python (1.1.61-1) unstable; urgency=low

  * fix ldap syntax error 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 10 Jul 2013 18:57:22 -0400

## hubzero-python 1.1.61-2

=== debian/changelog ===
hubzero-python (1.1.61-2) unstable; urgency=low

  * fix ldap syntax error 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 10 Jul 2013 18:57:22 -0400

## hubzero-python 1.1.62-1

=== debian/changelog ===
hubzero-python (1.1.62-1) unstable; urgency=low

  * fix ldap syntax error 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 10 Jul 2013 18:57:22 -0400

## hubzero-python 1.1.63-1

=== debian/changelog ===
hubzero-python (1.1.63-1) unstable; urgency=low

  * fix conflicting variable names

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 10 Jul 2013 19:05:06 -0400

## hubzero-python 1.1.64-1

=== debian/changelog ===
hubzero-python (1.1.64-1) unstable; urgency=low

  * parameterize verbosity of sync functions

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 10 Jul 2013 19:19:46 -0400

## hubzero-python 1.1.65-1

=== debian/changelog ===
hubzero-python (1.1.65-1) unstable; urgency=low

  * fix another conflicting variable name I introduced

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 11 Jul 2013 10:10:01 -0400

## hubzero-python 1.1.66-1

=== debian/changelog ===
hubzero-python (1.1.66-1) unstable; urgency=low

  * fix variable typo I introduced  

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 11 Jul 2013 10:41:08 -0400

## hubzero-python 1.1.67-1

=== debian/changelog ===
hubzero-python (1.1.67-1) unstable; urgency=low

  * fix another variable typo I introduced

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 11 Jul 2013 10:44:42 -0400

## hubzero-python 1.1.68-1

=== debian/changelog ===
hubzero-python (1.1.68-1) unstable; urgency=low

  * write out memberUid with username instead of uidNumber

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 11 Jul 2013 15:00:31 -0400

## hubzero-python 1.1.69-1

=== debian/changelog ===
hubzero-python (1.1.69-1) unstable; urgency=low

  * was missing loginShell from list of attributes to sync

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 11 Jul 2013 15:53:32 -0400

## hubzero-python 1.1.70-1

=== debian/changelog ===
hubzero-python (1.1.70-1) unstable; urgency=low

  * write user name as cn when syncing 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 11 Jul 2013 16:01:34 -0400

## hubzero-python 1.1.71-1

=== debian/changelog ===
hubzero-python (1.1.71-1) unstable; urgency=low

  * add getPluginEnabled 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 11 Jul 2013 16:55:59 -0400

## hubzero-python 1.2.0-1

=== debian/changelog ===
hubzero-python (1.2.0-1) unstable; urgency=low

  * Start new release 1.2 [shira]
  * Add Joomla 2.5 table support

 -- root <root@dev01.hubzero.org>  Thu, 22 Aug 2013 10:48:55 -0400

## hubzero-python 1.2.1-1

=== debian/changelog ===
hubzero-python (1.2.1-1) unstable; urgency=low

  * Handle params still in ini format, or empty in webconfig

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 31 Aug 2013 12:05:07 -0400

## hubzero-python 1.2.2-1

=== debian/changelog ===
hubzero-python (1.2.2-1) unstable; urgency=low

  * fix typo in last version 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 31 Aug 2013 12:35:31 -0400

## hubzero-python 1.2.3-1

=== debian/changelog ===
hubzero-python (1.2.3-1) unstable; urgency=low

  * adduser creates j25 admin assignment and tou correctly

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 31 Aug 2013 15:44:44 -0400

## hubzero-python 1.2.4-1

=== debian/changelog ===
hubzero-python (1.2.4-1) unstable; urgency=low

  * add functions to manipulate plugin parameters

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 02 Sep 2013 18:52:15 -0400

## hubzero-python 1.2.5-1

=== debian/changelog ===
hubzero-python (1.2.5-1) unstable; urgency=low

  * Added api functions to support new usermod updates from the cli

 -- David Benham <dbenham@purdue.edu>  Thu, 10 Oct 2013 16:40:20 -0400

## hubzero-python 1.2.7-1

=== debian/changelog ===
hubzero-python (1.2.7-1) unstable; urgency=low

  * fair amount of clean up to support group add functions from the cli

 -- David Benham <dbenham@purdue.edu>  Wed, 09 Apr 2014 11:15:38 -0400

hubzero-python (1.2.6-1.1) unstable; urgency=low

  * added function to get web CMS version

 -- David Benham <dbenham@purdue.edu>  Fri, 14 Mar 2014 13:28:38 -0400

## hubzero-python 1.2.8-1

=== debian/changelog ===
hubzero-python (1.2.8-1) unstable; urgency=low

  *  _insert_jos_xgroups insert fix

 -- David Benham <dbenham@purdue.edu>  Tue, 15 Apr 2014 11:49:15 -0400

## hubzero-python 1.2.9-1.1

=== debian/changelog ===
hubzero-python (1.2.9-1.1) unstable; urgency=low

  * some other jos_xgroups insert fixes

 -- David Benham <dbenham@purdue.edu>  Tue, 15 Apr 2014 13:49:26 -0400

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: David Benham <dbenham@purdue.edu>
 Build-Depends: debhelper (>= 7), python2.6
 Standards-Version: 3.8.3
-Homepage: http://hubzero.orga
+Homepage: http://hubzero.org
 
 Package: hubzero-python
 Depends: ${misc:Depends}, python2.6

## hubzero-python 1.2.10-1

=== debian/changelog ===
hubzero-python (1.2.10-1) unstable; urgency=low

  * Fix python version dependencies for Debian 7 package compatibility

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 26 Aug 2014 11:54:53 -0400

=== debian/control ===
Source: hubzero-python
Section: misc
Priority: optional
Maintainer: David Benham <dbenham@purdue.edu>
Build-Depends: debhelper (>= 8), python-support (>=0.8), python-all
Standards-Version: 3.8.3
Homepage: http://hubzero.org
X-Python-Version: >= 2.6

Package: hubzero-python
Depends: ${misc:Depends}, python (>= 2.6)
Architecture: all
Description: Hubzero python libraries
 Hubzero Python libraries

## hubzero-python 1.2.11-1

=== debian/changelog ===
hubzero-python (1.2.11-1) unstable; urgency=low

  * Allow addition of users with already encrypted passwords

 -- David Benham <dbenham@purdue.edu>  Mon, 28 Jul 2014 09:49:16 -0400

## hubzero-python 1.2.12-1

=== debian/changelog ===
hubzero-python (1.2.12-1) unstable; urgency=low

  * Fix python version dependencies for Debian 7 package compatibility

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 26 Aug 2014 11:54:53 -0400

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: David Benham <dbenham@purdue.edu>
 Build-Depends: debhelper (>= 8), python-support (>=0.8), python-all
 Standards-Version: 3.8.3
+X-Python-Version: >= 2.6
 Homepage: http://hubzero.org
-X-Python-Version: >= 2.6
 
 Package: hubzero-python
 Depends: ${misc:Depends}, python (>= 2.6)

## hubzero-python 1.2.13

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-python
 # @file         Makefile
 # @author       David Benham <dbenham@purdue.edu>
-# @copyright    Copyright (c) 2012-2013 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2012-2014 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2012-2013 HUBzero Foundation, LLC.
+# Copyright (c) 2012-2014 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #
@@ -40,3 +40,4 @@
 	rm -f configure-stamp 
 	python setup.py clean
 	rm -fr build
+	rm -fr hubzero_python.egg-info

## hubzero-python 1.3.0

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-python
 # @file         Makefile
-# @author       David Benham <dbenham@purdue.edu>
-# @copyright    Copyright (c) 2012-2014 HUBzero Foundation, LLC.
+# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
+# @copyright    Copyright (c) 2010-2014 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2012-2014 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2014 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #
@@ -25,19 +25,22 @@
 # HUBzero is a registered trademark of HUBzero Foundation, LLC.
 #
 
-default all build:
-	@true
+all:
+	python setup.py build
 
 install:
 	python setup.py install $(COMPILE) --root $(DESTDIR) --install-layout=deb
 
-configure:
+uninstall:
 	@true
-	
+
+postinst:
+	@true
+
 clean:
 	find . -name '*.pyc' -delete
-	rm -f build-stamp
-	rm -f configure-stamp 
 	python setup.py clean
 	rm -fr build
 	rm -fr hubzero_python.egg-info
+
+.PHONY: all install uninstall postinst clean

## hubzero-python 1.3.9

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-python
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2014 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2010-2014 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #

## hubzero-python 2.1.9-1+deb6

=== debian/changelog ===
hubzero-python (2.1.9-1+deb6) unstable; urgency=low

  * revert broken fix to templateWriteParam

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 27 Oct 2016 09:49:32 -0400

hubzero-python (2.1.8-1) unstable; urgency=low

  * fix templateWriteParam to use jos_extensions table

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 26 Oct 2016 16:22:26 -0400

hubzero-python (2.1.7-1) unstable; urgency=low

  * fix cms version check to identify late 2.1.0, 2.1.1

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 25 Oct 2016 15:56:12 -0400

hubzero-python (2.1.6-1) unstable; urgency=low

  * fix cms version check to identify 2.1.0

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 24 Oct 2016 11:59:25 -0400

hubzero-python (2.1.5-1) unstable; urgency=low

  * fix hubzerositeconfig write function 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 17 Oct 2016 15:23:54 -0400

hubzero-python (2.1.3-1) unstable; urgency=low

  * fix jos_users insert statement for non null field modifications 

 -- David R. Benham <dbenham@purdue.edu>  Fri, 14 Oct 2016 13:40:41 -0400

hubzero-python (2.1.1-1) unstable; urgency=low

  * fix indent error

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 30 Aug 2016 10:08:47 -0400

hubzero-python (2.1.0-1) unstable; urgency=low

  * don't rely on JOOMLA_25 flag to flag database state (wip)

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 30 Aug 2016 09:57:34 -0400

hubzero-python (2.0.1-1) unstable; urgency=low

  * fix where to look for cms version string for cms 2.0.0 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 12 Sep 2015 16:40:52 -0400

hubzero-python (2.0.0-1) unstable; urgency=low

  * update copyright, license, version

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sun, 30 Aug 2015 13:31:33 -0400

hubzero-python (1.3.9-1) unstable; urgency=low

  * minor code format changes, some error message cleanup 

 -- David Benham <dbenham@purdue.edu>  Wed, 22 Jul 2015 10:25:45 -0400

hubzero-python (1.3.8-1) unstable; urgency=low

  * fixed typo in jos_xprofiles insert
  * mods to account for removed jobsAllowed from the jos_xprofiles table

 -- David Benham <dbenham@purdue.edu>  Wed, 24 Jun 2015 09:02:52 -0400

hubzero-python (1.3.7-1) unstable; urgency=low

  * fixes for RedHat build
  * python-setuptools build dependency added
  * update copyrights

 -- Nicholas Kisseberth <nkissebe@purdue.edu>  Wed, 20 May 2015 10:58:29 -0400

hubzero-python (1.3.5-1) unstable; urgency=low

  * check for None return type before assuming string

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 21 Nov 2014 10:30:44 -0500

hubzero-python (1.3.4-1) unstable; urgency=low

  * fix numerous typos introduced in previous version

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 26 Sep 2014 11:22:51 -0400

hubzero-python (1.3.3-1) unstable; urgency=low

  * add methods to set template parameters

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 26 Sep 2014 09:36:44 -0400

hubzero-python (1.3.2-1) unstable; urgency=low

  * fix incorrect method name used in previous commit 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 25 Sep 2014 20:28:27 -0400

hubzero-python (1.3.1-1) unstable; urgency=low

  * add methods to set module parameters

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 25 Sep 2014 20:06:24 -0400

hubzero-python (1.3.0-1) unstable; urgency=low

  * set default group/groupid when skipCreateGroup is passed to addhubuser

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 24 Sep 2014 17:24:42 -0400

hubzero-python (1.2.16-1) unstable; urgency=low

  * allow spaces around key/values in hubzero.secrets file

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 20 Sep 2014 11:07:49 -0400

hubzero-python (1.2.15-1) unstable; urgency=low

  * fix call to platform.linux_distribution

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 17 Sep 2014 11:20:42 -0400

hubzero-python (1.2.14-1) unstable; urgency=low

  * update to new packaging template to support multiple debian releases

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 06 Sep 2014 17:43:23 -0400

hubzero-python (1.2.13-1) unstable; urgency=low

  * update copyrights for 2014
  * update __init__.py file placements
  * tidy packaging a little more

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 27 Aug 2014 11:51:46 -0400

=== debian/control ===
Source: hubzero-python
Section: misc
Priority: optional
Maintainer: David R. Benham <dbenham@purdue.edu>
Build-Depends: debhelper (>= 8.0.0), python-support (>=0.8), python-setuptools , python-all  
Standards-Version: 3.8.4
X-Python-Version: >= 2.6
Homepage: http://hubzero.org

Package: hubzero-python
Architecture: all
Depends: python (>=2.6), ${misc:Depends}
Description: Hubzero Python libraries
 hubzero-python is a library of python routines for manipulating the HUBzero
 platform.

## hubzero-python 2.1.9-1+deb7

=== debian/changelog ===
hubzero-python (2.1.9-1+deb7) unstable; urgency=low

  * revert broken fix to templateWriteParam

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 27 Oct 2016 09:49:32 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: David R. Benham <dbenham@purdue.edu>
-Build-Depends: debhelper (>= 8.0.0), python-support (>=0.8), python-setuptools , python-all  
+Build-Depends: debhelper (>= 8.0.0), python-support (>=0.8), python-setuptools   
 Standards-Version: 3.8.4
 X-Python-Version: >= 2.6
 Homepage: http://hubzero.org
